#!/usr/bin/python

from yum.plugins import TYPE_CORE
from urlgrabber.grabber import default_grabber

requires_api_version = '2.5'
plugin_type = (TYPE_CORE,)

def init_hook(conduit):
	ua = conduit.confString('main', 'user_agent', default = '')
	if len(ua):
		default_grabber.opts.user_agent += " %s" % ua
